Page MenuHomePhabricator

Global abuse filter names not visible in the local abuse log
Closed, ResolvedPublic

Description

Unlike for local abuse filters, there's no filter attribute for abuselog's filter entries. This prevents tools like LiveRC to correctly report the name of triggered filters.

See this API call for an example of the difference between log entries for local and global filters.

Event Timeline

Arkanosis raised the priority of this task from to Normal.
Arkanosis updated the task description. (Show Details)
Arkanosis added a project: AbuseFilter.
Arkanosis added a subscriber: Arkanosis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 17 2016, 1:04 AM
Arkanosis updated the task description. (Show Details)Feb 17 2016, 1:05 AM
Arkanosis set Security to None.
Arkanosis updated the task description. (Show Details)Feb 17 2016, 1:10 AM
Amire80 moved this task from Backlog to Management UI on the AbuseFilter board.May 8 2016, 8:20 AM
Amire80 moved this task from Management UI to Logging on the AbuseFilter board.May 8 2016, 9:05 AM

Change 329211 had a related patch set uploaded (by Matěj Suchánek):
Get global filter name in API

https://gerrit.wikimedia.org/r/329211

matmarex closed this task as Resolved.Jan 12 2017, 9:34 PM
matmarex removed a project: Patch-For-Review.

Change 329211 merged by jenkins-bot:
Get global filter name in API

https://gerrit.wikimedia.org/r/329211

Marvelous ! Thank you! :-)